Description

Supportanfrage

Mir ist klar, dass der PcapEthernetReceiver mit der libpcap arbeitet und einige Infos dazu habe ich z.B. hier gefunden:

doc/guides/tutorial_someip_example.html

PCap Ethernet Receiver

Needs win10pcap, npcap or Wireshark installed.

Tested with:

win10pcap Version 10.2.5002

npcap Version 0.9995

Wireshark Version 3.2.5

 Hier stellen sich mir einige Fragen:

hier steht "tested with", aber was wird konkret empfohlen?

wenn es hier auch um Empfehlungen geht, warum win10pcap? Ich kenne anderen Quellen, die von dieser Library massiv

abraten, weil das Projekt aufgegeben wurde

npcap ist unter Windows lizenzpflichtig, wenn man damit eine eigene kommerzielle Anwendung betreibt (

https://nmap.org/npcap/oem/redist.html)

Kann ich davon ausgehen, dass Digitalwerk eine solche Lizenz besitzt, "[...] allowing customers to redistribute Npcap with

their products."?

D.h. ich darf npcap auf den Rechnern (auch unabhängig von Wireshark!) installieren, auf denen ADTF mit der DevTB

läuft?*

Vielen Dank für entsprechende Infos!

Lösung

hier steht "tested with", aber was wird konkret empfohlen?

 Alle drei können von uns empfohlen werden, damit wurde getestet.

Es gibt unterschiedliche ITs und Möglichkeiten.

wenn es hier auch um Empfehlungen geht, warum win10pcap? Ich kenne anderen Quellen, die von dieser Library massiv

abraten, weil das Projekt aufgegeben wurde

 Mag sein, dennoch ist der dokumentierte Stand verwendbar.

Den Rest musst du für deinen Use Case natülich  bewerten.

Wenn du deine Abhängigkeit konkret festziehen musst für zig Jahre, würde ich dir davon ebenso abraten.

Benutzt du die PCap Source nur für Testzwecke, ist das sicherlich ein schneller und unkomplizierter Weg.

Eine generische Bewertung ist deshalb für uns unmöglich, ebenso eine Erfassung sämtlicher Fälle.
npcap ist unter Windows lizenzpflichtig, wenn man damit eine eigene kommerzielle Anwendung betreibt (

https://nmap.org/npcap/oem/redist.html)

 Korrekt, betreibt. D.h. wenn es auf deinen Rechnern bereits vorhanden ist oder deine Firma eine Lizenz besitzt, kannst du es hier

verwenden.

Kann ich davon ausgehen, dass Digitalwerk eine solche Lizenz besitzt, "[...] allowing customers to redistribute Npcap with their

products."?

 Nein, wir liefern ja die Abhängigkeit nicht, wir sind kein Distributor !

Unsere Implementierung basiert auf libpcap und ist demnach lauffähig mit allen Modellen, die das unterstützen.

Aus den lizenzrechtlichen Gründen (wie du schon sagst) dürfen wir das nicht mit deployen.

D.h. ich darf npcap auf den Rechnern (auch unabhängig von Wireshark!) installieren, auf denen ADTF mit der DevTB läuft?

 Wie gesagt, nein.

History

#1 - 2021-11-22 20:17 - hidden

- Project changed from 4 to 11

- Status changed from New to Customer Feedback Required

- Topic set to DeviceTB::Ethernet

Hallo Johannes,

hier steht "tested with", aber was wird konkret empfohlen?

 Alle drei können von uns empfohlen werden, damit wurde getestet.

Es gibt unterschiedliche ITs und Möglichkeiten.

wenn es hier auch um Empfehlungen geht, warum win10pcap? Ich kenne anderen Quellen, die von dieser Library massiv abraten, weil das

Projekt aufgegeben wurde

 Mag sein, dennoch ist der dokumentierte Stand verwendbar.

Den Rest musst du für deinen Use Case natülich  bewerten.

Wenn du deine Abhängigkeit konkret festziehen musst für zig Jahre, würde ich dir davon ebenso abraten.

Benutzt du die PCap Source nur für Testzwecke, ist das sicherlich ein schneller und unkomplizierter Weg.

Eine generische Bewertung ist deshalb für uns unmöglich, ebenso eine Erfassung sämtlicher Fälle.

npcap ist unter Windows lizenzpflichtig, wenn man damit eine eigene kommerzielle Anwendung betreibt (https://nmap.org/npcap/oem/redist.html

)

 Korrekt, betreibt. D.h. wenn es auf deinen Rechnern bereits vorhanden ist oder deine Firma eine Lizenz besitzt, kannst du es hier verwenden.

Kann ich davon ausgehen, dass Digitalwerk eine solche Lizenz besitzt, "[...] allowing customers to redistribute Npcap with their products."?

 Nein, wir liefern ja die Abhängigkeit nicht, wir sind kein Distributor !

Unsere Implementierung basiert auf libpcap und ist demnach lauffähig mit allen Modellen, die das unterstützen.

Aus den lizenzrechtlichen Gründen (wie du schon sagst) dürfen wir das nicht mit deployen.

D.h. ich darf npcap auf den Rechnern (auch unabhängig von Wireshark!) installieren, auf denen ADTF mit der DevTB läuft?

 Wie gesagt, nein.

#2 - 2021-11-23 08:18 - hidden

Ok vielen Dank,

diese Infos helfen mir allesamt sehr gut weiter!

(Ticket kann geschlossen werden)
#3 - 2021-11-23 08:20 - hidden

- Project changed from 11 to Public Support

- Subject changed from Windows libpcap Lizenz to License issues related to to libpcap on windows

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
